> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post base workflow action duplicate

> duplicate a automation workflow action



## OpenAPI

````yaml /swagger.json post /base/{baseId}/workflow/{workflowId}/action/{actionId}/duplicate
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /base/{baseId}/workflow/{workflowId}/action/{actionId}/duplicate:
    post:
      tags:
        - automation
      description: duplicate a automation workflow action
      parameters:
        - schema:
            type: string
          required: true
          name: baseId
          in: path
        - schema:
            type: string
          required: true
          name: workflowId
          in: path
        - schema:
            type: string
          required: true
          name: actionId
          in: path
      responses:
        '200':
          description: Successful duplicate
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      name:
                        type: string
                        description: name of the node
                      description:
                        type: string
                        description: description of the node
                      config:
                        type: object
                        properties:
                          baseId:
                            type: string
                            description: >-
                              Once this parameter is passed in, the data will be
                              requested as if it were from the creator
                              themselves.
                          tableId:
                            type: string
                          loopKey:
                            type: object
                            nullable: true
                            properties:
                              resolvable:
                                type: boolean
                                enum:
                                  - true
                                description: >-
                                  Need be resolved to static values before
                                  running
                              type:
                                type: string
                                enum:
                                  - fact
                              path:
                                type: string
                                description: json-path syntax
                              keyStack:
                                type: array
                                items:
                                  type: string
                                description: save select stack
                              params:
                                type: object
                                properties:
                                  pipes:
                                    type: array
                                    items:
                                      type: string
                                      enum:
                                        - uppercase
                                        - lowercase
                                        - capitalize
                                        - trim
                                        - length
                                        - toString
                                        - jsonStringify
                                        - encodeUrlComponent
                                    description: Pipe functions to transform the fact value
                              fact:
                                type: string
                                description: Fact name, actionId or triggerId
                            required:
                              - resolvable
                              - type
                              - fact
                            description: >-
                              An array variable to run the action for each item
                              in the array.
                          fields:
                            type: object
                            additionalProperties:
                              oneOf:
                                - type: object
                                  properties:
                                    resolvable:
                                      type: boolean
                                      enum:
                                        - true
                                      description: >-
                                        Need be resolved to static values before
                                        running
                                    type:
                                      type: string
                                      enum:
                                        - literal
                                    value:
                                      nullable: true
                                      description: Literal value
                                  required:
                                    - resolvable
                                    - type
                                - type: object
                                  properties:
                                    resolvable:
                                      type: boolean
                                      enum:
                                        - true
                                      description: >-
                                        Need be resolved to static values before
                                        running
                                    type:
                                      type: string
                                      enum:
                                        - fact
                                    path:
                                      type: string
                                      description: json-path syntax
                                    keyStack:
                                      type: array
                                      items:
                                        type: string
                                      description: save select stack
                                    params:
                                      type: object
                                      properties:
                                        pipes:
                                          type: array
                                          items:
                                            type: string
                                            enum:
                                              - uppercase
                                              - lowercase
                                              - capitalize
                                              - trim
                                              - length
                                              - toString
                                              - jsonStringify
                                              - encodeUrlComponent
                                          description: >-
                                            Pipe functions to transform the fact
                                            value
                                    fact:
                                      type: string
                                      description: Fact name, actionId or triggerId
                                  required:
                                    - resolvable
                                    - type
                                    - fact
                                - type: object
                                  properties:
                                    resolvable:
                                      type: boolean
                                      enum:
                                        - true
                                      description: >-
                                        Need be resolved to static values before
                                        running
                                    type:
                                      type: string
                                      enum:
                                        - array
                                    nodes:
                                      type: array
                                      items:
                                        anyOf:
                                          - type: object
                                            properties:
                                              resolvable:
                                                type: boolean
                                                enum:
                                                  - true
                                                description: >-
                                                  Need be resolved to static values before
                                                  running
                                              type:
                                                type: string
                                                enum:
                                                  - literal
                                              value:
                                                nullable: true
                                                description: Literal value
                                            required:
                                              - resolvable
                                              - type
                                          - type: object
                                            properties:
                                              resolvable:
                                                type: boolean
                                                enum:
                                                  - true
                                                description: >-
                                                  Need be resolved to static values before
                                                  running
                                              type:
                                                type: string
                                                enum:
                                                  - fact
                                              path:
                                                type: string
                                                description: json-path syntax
                                              keyStack:
                                                type: array
                                                items:
                                                  type: string
                                                description: save select stack
                                              params:
                                                type: object
                                                properties:
                                                  pipes:
                                                    type: array
                                                    items:
                                                      type: string
                                                      enum:
                                                        - uppercase
                                                        - lowercase
                                                        - capitalize
                                                        - trim
                                                        - length
                                                        - toString
                                                        - jsonStringify
                                                        - encodeUrlComponent
                                                    description: >-
                                                      Pipe functions to transform the fact
                                                      value
                                              fact:
                                                type: string
                                                description: Fact name, actionId or triggerId
                                            required:
                                              - resolvable
                                              - type
                                              - fact
                                      description: >-
                                        Array of literal and fact nodes, all
                                        value will be stringify and join
                                        together
                                  required:
                                    - resolvable
                                    - type
                                    - nodes
                                - nullable: true
                            description: fields data in the record
                          _fieldsOrder:
                            type: array
                            items:
                              type: string
                        required:
                          - tableId
                          - fields
                      id:
                        type: string
                        description: node id
                      category:
                        type: string
                        enum:
                          - action
                      testResult:
                        type: object
                        properties:
                          spent:
                            type: number
                            description: spent time
                          inputRaw:
                            nullable: true
                          outputRaw:
                            nullable: true
                          inputVariables:
                            type: object
                            description: The variables snapshot when executed
                          outputVariables:
                            type: object
                            description: The variables snapshot when executed
                          errorMsg:
                            type: string
                          createdTime:
                            type: string
                        required:
                          - createdTime
                        description: action test result
                      outputVariables:
                        type: object
                        description: output variables
                      inputVariables:
                        type: object
                        description: input variables
                      createdTime:
                        type: string
                        nullable: true
                        description: created time
                      lastModifiedTime:
                        type: string
                        nullable: true
                        description: last modified time
                      type:
                        type: string
                        enum:
                          - createRecord
                        description: >-
                          This Action will activate when a record is created in
                          a table.
                    required:
                      - config
                      - id
                      - category
                      - type
                  - type: object
                    properties:
                      name:
                        type: string
                        description: name of the node
                      description:
                        type: string
                        description: description of the node
                      config:
                        type: object
                        properties:
                          baseId:
                            type: string
                            description: >-
                              Once this parameter is passed in, the data will be
                              requested as if it were from the creator
                              themselves.
                          tableId:
                            type: string
                            description: select a table to watch
                          recordId:
                            oneOf:
                              - type: object
                                properties:
                                  resolvable:
                                    type: boolean
                                    enum:
                                      - true
                                    description: >-
                                      Need be resolved to static values before
                                      running
                                  type:
                                    type: string
                                    enum:
                                      - literal
                                  value:
                                    nullable: true
                                    description: Literal value
                                required:
                                  - resolvable
                                  - type
                              - type: object
                                properties:
                                  resolvable:
                                    type: boolean
                                    enum:
                                      - true
                                    description: >-
                                      Need be resolved to static values before
                                      running
                                  type:
                                    type: string
                                    enum:
                                      - fact
                                  path:
                                    type: string
                                    description: json-path syntax
                                  keyStack:
                                    type: array
                                    items:
                                      type: string
                                    description: save select stack
                                  params:
                                    type: object
                                    properties:
                                      pipes:
                                        type: array
                                        items:
                                          type: string
                                          enum:
                                            - uppercase
                                            - lowercase
                                            - capitalize
                                            - trim
                                            - length
                                            - toString
                                            - jsonStringify
                                            - encodeUrlComponent
                                        description: >-
                                          Pipe functions to transform the fact
                                          value
                                  fact:
                                    type: string
                                    description: Fact name, actionId or triggerId
                                required:
                                  - resolvable
                                  - type
                                  - fact
                              - type: object
                                properties:
                                  resolvable:
                                    type: boolean
                                    enum:
                                      - true
                                    description: >-
                                      Need be resolved to static values before
                                      running
                                  type:
                                    type: string
                                    enum:
                                      - array
                                  nodes:
                                    type: array
                                    items:
                                      anyOf:
                                        - type: object
                                          properties:
                                            resolvable:
                                              type: boolean
                                              enum:
                                                - true
                                              description: >-
                                                Need be resolved to static values before
                                                running
                                            type:
                                              type: string
                                              enum:
                                                - literal
                                            value:
                                              nullable: true
                                              description: Literal value
                                          required:
                                            - resolvable
                                            - type
                                        - type: object
                                          properties:
                                            resolvable:
                                              type: boolean
                                              enum:
                                                - true
                                              description: >-
                                                Need be resolved to static values before
                                                running
                                            type:
                                              type: string
                                              enum:
                                                - fact
                                            path:
                                              type: string
                                              description: json-path syntax
                                            keyStack:
                                              type: array
                                              items:
                                                type: string
                                              description: save select stack
                                            params:
                                              type: object
                                              properties:
                                                pipes:
                                                  type: array
                                                  items:
                                                    type: string
                                                    enum:
                                                      - uppercase
                                                      - lowercase
                                                      - capitalize
                                                      - trim
                                                      - length
                                                      - toString
                                                      - jsonStringify
                                                      - encodeUrlComponent
                                                  description: >-
                                                    Pipe functions to transform the fact
                                                    value
                                            fact:
                                              type: string
                                              description: Fact name, actionId or triggerId
                                          required:
                                            - resolvable
                                            - type
                                            - fact
                                    description: >-
                                      Array of literal and fact nodes, all value
                                      will be stringify and join together
                                required:
                                  - resolvable
                                  - type
                                  - nodes
                              - nullable: true
                          loopKey:
                            type: object
                            nullable: true
                            properties:
                              resolvable:
                                type: boolean
                                enum:
                                  - true
                                description: >-
                                  Need be resolved to static values before
                                  running
                              type:
                                type: string
                                enum:
                                  - fact
                              path:
                                type: string
                                description: json-path syntax
                              keyStack:
                                type: array
                                items:
                                  type: string
                                description: save select stack
                              params:
                                type: object
                                properties:
                                  pipes:
                                    type: array
                                    items:
                                      type: string
                                      enum:
                                        - uppercase
                                        - lowercase
                                        - capitalize
                                        - trim
                                        - length
                                        - toString
                                        - jsonStringify
                                        - encodeUrlComponent
                                    description: Pipe functions to transform the fact value
                              fact:
                                type: string
                                description: Fact name, actionId or triggerId
                            required:
                              - resolvable
                              - type
                              - fact
                            description: >-
                              An array variable to run the action for each item
                              in the array.
                          fields:
                            type: object
                            additionalProperties:
                              oneOf:
                                - type: object
                                  properties:
                                    resolvable:
                                      type: boolean
                                      enum:
                                        - true
                                      description: >-
                                        Need be resolved to static values before
                                        running
                                    type:
                                      type: string
                                      enum:
                                        - literal
                                    value:
                                      nullable: true
                                      description: Literal value
                                  required:
                                    - resolvable
                                    - type
                                - type: object
                                  properties:
                                    resolvable:
                                      type: boolean
                                      enum:
                                        - true
                                      description: >-
                                        Need be resolved to static values before
                                        running
                                    type:
                                      type: string
                                      enum:
                                        - fact
                                    path:
                                      type: string
                                      description: json-path syntax
                                    keyStack:
                                      type: array
                                      items:
                                        type: string
                                      description: save select stack
                                    params:
                                      type: object
                                      properties:
                                        pipes:
                                          type: array
                                          items:
                                            type: string
                                            enum:
                                              - uppercase
                                              - lowercase
                                              - capitalize
                                              - trim
                                              - length
                                              - toString
                                              - jsonStringify
                                              - encodeUrlComponent
                                          description: >-
                                            Pipe functions to transform the fact
                                            value
                                    fact:
                                      type: string
                                      description: Fact name, actionId or triggerId
                                  required:
                                    - resolvable
                                    - type
                                    - fact
                                - type: object
                                  properties:
                                    resolvable:
                                      type: boolean
                                      enum:
                                        - true
                                      description: >-
                                        Need be resolved to static values before
                                        running
                                    type:
                                      type: string
                                      enum:
                                        - array
                                    nodes:
                                      type: array
                                      items:
                                        anyOf:
                                          - type: object
                                            properties:
                                              resolvable:
                                                type: boolean
                                                enum:
                                                  - true
                                                description: >-
                                                  Need be resolved to static values before
                                                  running
                                              type:
                                                type: string
                                                enum:
                                                  - literal
                                              value:
                                                nullable: true
                                                description: Literal value
                                            required:
                                              - resolvable
                                              - type
                                          - type: object
                                            properties:
                                              resolvable:
                                                type: boolean
                                                enum:
                                                  - true
                                                description: >-
                                                  Need be resolved to static values before
                                                  running
                                              type:
                                                type: string
                                                enum:
                                                  - fact
                                              path:
                                                type: string
                                                description: json-path syntax
                                              keyStack:
                                                type: array
                                                items:
                                                  type: string
                                                description: save select stack
                                              params:
                                                type: object
                                                properties:
                                                  pipes:
                                                    type: array
                                                    items:
                                                      type: string
                                                      enum:
                                                        - uppercase
                                                        - lowercase
                                                        - capitalize
                                                        - trim
                                                        - length
                                                        - toString
                                                        - jsonStringify
                                                        - encodeUrlComponent
                                                    description: >-
                                                      Pipe functions to transform the fact
                                                      value
                                              fact:
                                                type: string
                                                description: Fact name, actionId or triggerId
                                            required:
                                              - resolvable
                                              - type
                                              - fact
                                      description: >-
                                        Array of literal and fact nodes, all
                                        value will be stringify and join
                                        together
                                  required:
                                    - resolvable
                                    - type
                                    - nodes
                                - nullable: true
                            description: fields to update
                          _fieldsOrder:
                            type: array
                            items:
                              type: string
                        required:
                          - tableId
                          - recordId
                          - fields
                      id:
                        type: string
                        description: node id
                      category:
                        type: string
                        enum:
                          - action
                      testResult:
                        type: object
                        properties:
                          spent:
                            type: number
                            description: spent time
                          inputRaw:
                            nullable: true
                          outputRaw:
                            nullable: true
                          inputVariables:
                            type: object
                            description: The variables snapshot when executed
                          outputVariables:
                            type: object
                            description: The variables snapshot when executed
                          errorMsg:
                            type: string
                          createdTime:
                            type: string
                        required:
                          - createdTime
                        description: action test result
                      outputVariables:
                        type: object
                        description: output variables
                      inputVariables:
                        type: object
                        description: input variables
                      createdTime:
                        type: string
                        nullable: true
                        description: created time
                      lastModifiedTime:
                        type: string
                        nullable: true
                        description: last modified time
                      type:
                        type: string
                        enum:
                          - updateRecord
                        description: >-
                          This Action will activate when a record is updated in
                          a table.
                    required:
                      - config
                      - id
                      - category
                      - type
                  - type: object
                    properties:
                      name:
                        type: string
                        description: name of the node
                      description:
                        type: string
                        description: description of the node
                      config:
                        type: object
                        properties:
                          transportConfig:
                            type: object
                            properties:
                              resolvable:
                                type: boolean
                                enum:
                                  - true
                                description: >-
                                  Need be resolved to static values before
                                  running
                              type:
                                type: string
                                enum:
                                  - literal
                              value:
                                nullable: true
                                description: Literal value
                            required:
                              - resolvable
                              - type
                            description: >-
                              The transporter to use for the email. If not
                              provided, the default transporter will be used.
                          loopKey:
                            type: object
                            nullable: true
                            properties:
                              resolvable:
                                type: boolean
                                enum:
                                  - true
                                description: >-
                                  Need be resolved to static values before
                                  running
                              type:
                                type: string
                                enum:
                                  - fact
                              path:
                                type: string
                                description: json-path syntax
                              keyStack:
                                type: array
                                items:
                                  type: string
                                description: save select stack
                              params:
                                type: object
                                properties:
                                  pipes:
                                    type: array
                                    items:
                                      type: string
                                      enum:
                                        - uppercase
                                        - lowercase
                                        - capitalize
                                        - trim
                                        - length
                                        - toString
                                        - jsonStringify
                                        - encodeUrlComponent
                                    description: Pipe functions to transform the fact value
                              fact:
                                type: string
                                description: Fact name, actionId or triggerId
                            required:
                              - resolvable
                              - type
                              - fact
                            description: >-
                              An array variable to run the action for each item
                              in the array.
                          to:
                            oneOf:
                              - type: object
                                properties:
                                  resolvable:
                                    type: boolean
                                    enum:
                                      - true
                                    description: >-
                                      Need be resolved to static values before
                                      running
                                  type:
                                    type: string
                                    enum:
                                      - literal
                                  value:
                                    nullable: true
                                    description: Literal value
                                required:
                                  - resolvable
                                  - type
                              - type: object
                                properties:
                                  resolvable:
                                    type: boolean
                                    enum:
                                      - true
                                    description: >-
                                      Need be resolved to static values before
                                      running
                                  type:
                                    type: string
                                    enum:
                                      - fact
                                  path:
                                    type: string
                                    description: json-path syntax
                                  keyStack:
                                    type: array
                                    items:
                                      type: string
                                    description: save select stack
                                  params:
                                    type: object
                                    properties:
                                      pipes:
                                        type: array
                                        items:
                                          type: string
                                          enum:
                                            - uppercase
                                            - lowercase
                                            - capitalize
                                            - trim
                                            - length
                                            - toString
                                            - jsonStringify
                                            - encodeUrlComponent
                                        description: >-
                                          Pipe functions to transform the fact
                                          value
                                  fact:
                                    type: string
                                    description: Fact name, actionId or triggerId
                                required:
                                  - resolvable
                                  - type
                                  - fact
                              - type: object
                                properties:
                                  resolvable:
                                    type: boolean
                                    enum:
                                      - true
                                    description: >-
                                      Need be resolved to static values before
                                      running
                                  type:
                                    type: string
                                    enum:
                                      - array
                                  nodes:
                                    type: array
                                    items:
                                      anyOf:
                                        - type: object
                                          properties:
                                            resolvable:
                                              type: boolean
                                              enum:
                                                - true
                                              description: >-
                                                Need be resolved to static values before
                                                running
                                            type:
                                              type: string
                                              enum:
                                                - literal
                                            value:
                                              nullable: true
                                              description: Literal value
                                          required:
                                            - resolvable
                                            - type
                                        - type: object
                                          properties:
                                            resolvable:
                                              type: boolean
                                              enum:
                                                - true
                                              description: >-
                                                Need be resolved to static values before
                                                running
                                            type:
                                              type: string
                                              enum:
                                                - fact
                                            path:
                                              type: string
                                              description: json-path syntax
                                            keyStack:
                                              type: array
                                              items:
                                                type: string
                                              description: save select stack
                                            params:
                                              type: object
                                              properties:
                                                pipes:
                                                  type: array
                                                  items:
                                                    type: string
                                                    enum:
                                                      - uppercase
                                                      - lowercase
                                                      - capitalize
                                                      - trim
                                                      - length
                                                      - toString
                                                      - jsonStringify
                                                      - encodeUrlComponent
                                                  description: >-
                                                    Pipe functions to transform the fact
                                                    value
                                            fact:
                                              type: string
                                              description: Fact name, actionId or triggerId
                                          required:
                                            - resolvable
                                            - type
                                            - fact
                                    description: >-
                                      Array of literal and fact nodes, all value
                                      will be stringify and join together
                                required:
                                  - resolvable
                                  - type
                                  - nodes
                              - nullable: true
                          cc:
                            oneOf:
                              - type: object
                                properties:
                                  resolvable:
                                    type: boolean
                                    enum:
                                      - true
                                    description: >-
                                      Need be resolved to static values before
                                      running
                                  type:
                                    type: string
                                    enum:
                                      - literal
                                  value:
                                    nullable: true
                                    description: Literal value
                                required:
                                  - resolvable
                                  - type
                              - type: object
                                properties:
                                  resolvable:
                                    type: boolean
                                    enum:
                                      - true
                                    description: >-
                                      Need be resolved to static values before
                                      running
                                  type:
                                    type: string
                                    enum:
                                      - fact
                                  path:
                                    type: string
                                    description: json-path syntax
                                  keyStack:
                                    type: array
                                    items:
                                      type: string
                                    description: save select stack
                                  params:
                                    type: object
                                    properties:
                                      pipes:
                                        type: array
                                        items:
                                          type: string
                                          enum:
                                            - uppercase
                                            - lowercase
                                            - capitalize
                                            - trim
                                            - length
                                            - toString
                                            - jsonStringify
                                            - encodeUrlComponent
                                        description: >-
                                          Pipe functions to transform the fact
                                          value
                                  fact:
                                    type: string
                                    description: Fact name, actionId or triggerId
                                required:
                                  - resolvable
                                  - type
                                  - fact
                              - type: object
                                properties:
                                  resolvable:
                                    type: boolean
                                    enum:
                                      - true
                                    description: >-
                                      Need be resolved to static values before
                                      running
                                  type:
                                    type: string
                                    enum:
                                      - array
                                  nodes:
                                    type: array
                                    items:
                                      anyOf:
                                        - type: object
                                          properties:
                                            resolvable:
                                              type: boolean
                                              enum:
                                                - true
                                              description: >-
                                                Need be resolved to static values before
                                                running
                                            type:
                                              type: string
                                              enum:
                                                - literal
                                            value:
                                              nullable: true
                                              description: Literal value
                                          required:
                                            - resolvable
                                            - type
                                        - type: object
                                          properties:
                                            resolvable:
                                              type: boolean
                                              enum:
                                                - true
                                              description: >-
                                                Need be resolved to static values before
                                                running
                                            type:
                                              type: string
                                              enum:
                                                - fact
                                            path:
                                              type: string
                                              description: json-path syntax
                                            keyStack:
                                              type: array
                                              items:
                                                type: string
                                              description: save select stack
                                            params:
                                              type: object
                                              properties:
                                                pipes:
                                                  type: array
                                                  items:
                                                    type: string
                                                    enum:
                                                      - uppercase
                                                      - lowercase
                                                      - capitalize
                                                      - trim
                                                      - length
                                                      - toString
                                                      - jsonStringify
                                                      - encodeUrlComponent
                                                  description: >-
                                                    Pipe functions to transform the fact
                                                    value
                                            fact:
                                              type: string
                                              description: Fact name, actionId or triggerId
                                          required:
                                            - resolvable
                                            - type
                                            - fact
                                    description: >-
                                      Array of literal and fact nodes, all value
                                      will be stringify and join together
                                required:
                                  - resolvable
                                  - type
                                  - nodes
                              - nullable: true
                          bcc:
                            oneOf:
                              - type: object
                                properties:
                                  resolvable:
                                    type: boolean
                                    enum:
                                      - true
                                    description: >-
                                      Need be resolved to static values before
                                      running
                                  type:
                                    type: string
                                    enum:
                                      - literal
                                  value:
                                    nullable: true
                                    description: Literal value
                                required:
                                  - resolvable
                                  - type
                              - type: object
                                properties:
                                  resolvable:
                                    type: boolean
                                    enum:
                                      - true
                                    description: >-
                                      Need be resolved to static values before
                                      running
                                  type:
                                    type: string
                                    enum:
                                      - fact
                                  path:
                                    type: string
                                    description: json-path syntax
                                  keyStack:
                                    type: array
                                    items:
                                      type: string
                                    description: save select stack
                                  params:
                                    type: object
                                    properties:
                                      pipes:
                                        type: array
                                        items:
                                          type: string
                                          enum:
                                            - uppercase
                                            - lowercase
                                            - capitalize
                                            - trim
                                            - length
                                            - toString
                                            - jsonStringify
                                            - encodeUrlComponent
                                        description: >-
                                          Pipe functions to transform the fact
                                          value
                                  fact:
                                    type: string
                                    description: Fact name, actionId or triggerId
                                required:
                                  - resolvable
                                  - type
                                  - fact
                              - type: object
                                properties:
                                  resolvable:
                                    type: boolean
                                    enum:
                                      - true
                                    description: >-
                                      Need be resolved to static values before
                                      running
                                  type:
                                    type: string
                                    enum:
                                      - array
                                  nodes:
                                    type: array
                                    items:
                                      anyOf:
                                        - type: object
                                          properties:
                                            resolvable:
                                              type: boolean
                                              enum:
                                                - true
                                              description: >-
                                                Need be resolved to static values before
                                                running
                                            type:
                                              type: string
                                              enum:
                                                - literal
                                            value:
                                              nullable: true
                                              description: Literal value
                                          required:
                                            - resolvable
                                            - type
                                        - type: object
                                          properties:
                                            resolvable:
                                              type: boolean
                                              enum:
                                                - true
                                              description: >-
                                                Need be resolved to static values before
                                                running
                                            type:
                                              type: string
                                              enum:
                                                - fact
                                            path:
                                              type: string
                                              description: json-path syntax
                                            keyStack:
                                              type: array
                                              items:
                                                type: string
                                              description: save select stack
                                            params:
                                              type: object
                                              properties:
                                                pipes:
                                                  type: array
                                                  items:
                                                    type: string
                                                    enum:
                                                      - uppercase
                                                      - lowercase
                                                      - capitalize
                                                      - trim
                                                      - length
                                                      - toString
                                                      - jsonStringify
                                                      - encodeUrlComponent
                                                  description: >-
                                                    Pipe functions to transform the fact
                                                    value
                                            fact:
                                              type: string
                                              description: Fact name, actionId or triggerId
                                          required:
                                            - resolvable
                                            - type
                                            - fact
                                    description: >-
                                      Array of literal and fact nodes, all value
                                      will be stringify and join together
                                required:
                                  - resolvable
                                  - type
                                  - nodes
                              - nullable: true
                          senderName:
                            oneOf:
                              - type: object
                                properties:
                                  resolvable:
                                    type: boolean
                                    enum:
                                      - true
                                    description: >-
                                      Need be resolved to static values before
                                      running
                                  type:
                                    type: string
                                    enum:
                                      - literal
                                  value:
                                    nullable: true
                                    description: Literal value
                                required:
                                  - resolvable
                                  - type
                              - type: object
                                properties:
                                  resolvable:
                                    type: boolean
                                    enum:
                                      - true
                                    description: >-
                                      Need be resolved to static values before
                                      running
                                  type:
                                    type: string
                                    enum:
                                      - fact
                                  path:
                                    type: string
                                    description: json-path syntax
                                  keyStack:
                                    type: array
                                    items:
                                      type: string
                                    description: save select stack
                                  params:
                                    type: object
                                    properties:
                                      pipes:
                                        type: array
                                        items:
                                          type: string
                                          enum:
                                            - uppercase
                                            - lowercase
                                            - capitalize
                                            - trim
                                            - length
                                            - toString
                                            - jsonStringify
                                            - encodeUrlComponent
                                        description: >-
                                          Pipe functions to transform the fact
                                          value
                                  fact:
                                    type: string
                                    description: Fact name, actionId or triggerId
                                required:
                                  - resolvable
                                  - type
                                  - fact
                              - type: object
                                properties:
                                  resolvable:
                                    type: boolean
                                    enum:
                                      - true
                                    description: >-
                                      Need be resolved to static values before
                                      running
                                  type:
                                    type: string
                                    enum:
                                      - array
                                  nodes:
                                    type: array
                                    items:
                                      anyOf:
                                        - type: object
                                          properties:
                                            resolvable:
                                              type: boolean
                                              enum:
                                                - true
                                              description: >-
                                                Need be resolved to static values before
                                                running
                                            type:
                                              type: string
                                              enum:
                                                - literal
                                            value:
                                              nullable: true
                                              description: Literal value
                                          required:
                                            - resolvable
                                            - type
                                        - type: object
                                          properties:
                                            resolvable:
                                              type: boolean
                                              enum:
                                                - true
                                              description: >-
                                                Need be resolved to static values before
                                                running
                                            type:
                                              type: string
                                              enum:
                                                - fact
                                            path:
                                              type: string
                                              description: json-path syntax
                                            keyStack:
                                              type: array
                                              items:
                                                type: string
                                              description: save select stack
                                            params:
                                              type: object
                                              properties:
                                                pipes:
                                                  type: array
                                                  items:
                                                    type: string
                                                    enum:
                                                      - uppercase
                                                      - lowercase
                                                      - capitalize
                                                      - trim
                                                      - length
                                                      - toString
                                                      - jsonStringify
                                                      - encodeUrlComponent
                                                  description: >-
                                                    Pipe functions to transform the fact
                                                    value
                                            fact:
                                              type: string
                                              description: Fact name, actionId or triggerId
                                          required:
                                            - resolvable
                                            - type
                                            - fact
                                    description: >-
                                      Array of literal and fact nodes, all value
                                      will be stringify and join together
                                required:
                                  - resolvable
                                  - type
                                  - nodes
                              - nullable: true
                          replyTo:
                            oneOf:
                              - type: object
                                properties:
                                  resolvable:
                                    type: boolean
                                    enum:
                                      - true
                                    description: >-
                                      Need be resolved to static values before
                                      running
                                  type:
                                    type: string
                                    enum:
                                      - literal
                                  value:
                                    nullable: true
                                    description: Literal value
                                required:
                                  - resolvable
                                  - type
                              - type: object
                                properties:
                                  resolvable:
                                    type: boolean
                                    enum:
                                      - true
                                    description: >-
                                      Need be resolved to static values before
                                      running
                                  type:
                                    type: string
                                    enum:
                                      - fact
                                  path:
                                    type: string
                                    description: json-path syntax
                                  keyStack:
                                    type: array
                                    items:
                                      type: string
                                    description: save select stack
                                  params:
                                    type: object
                                    properties:
                                      pipes:
                                        type: array
                                        items:
                                          type: string
                                          enum:
                                            - uppercase
                                            - lowercase
                                            - capitalize
                                            - trim
                                            - length
                                            - toString
                                            - jsonStringify
                                            - encodeUrlComponent
                                        description: >-
                                          Pipe functions to transform the fact
                                          value
                                  fact:
                                    type: string
                                    description: Fact name, actionId or triggerId
                                required:
                                  - resolvable
                                  - type
                                  - fact
                              - type: object
                                properties:
                                  resolvable:
                                    type: boolean
                                    enum:
                                      - true
                                    description: >-
                                      Need be resolved to static values before
                                      running
                                  type:
                                    type: string
                                    enum:
                                      - array
                                  nodes:
                                    type: array
                                    items:
                                      anyOf:
                                        - type: object
                                          properties:
                                            resolvable:
                                              type: boolean
                                              enum:
                                                - true
                                              description: >-
                                                Need be resolved to static values before
                                                running
                                            type:
                                              type: string
                                              enum:
                                                - literal
                                            value:
                                              nullable: true
                                              description: Literal value
                                          required:
                                            - resolvable
                                            - type
                                        - type: object
                                          properties:
                                            resolvable:
                                              type: boolean
                                              enum:
                                                - true
                                              description: >-
                                                Need be resolved to static values before
                                                running
                                            type:
                                              type: string
                                              enum:
                                                - fact
                                            path:
                                              type: string
                                              description: json-path syntax
                                            keyStack:
                                              type: array
                                              items:
                                                type: string
                                              description: save select stack
                                            params:
                                              type: object
                                              properties:
                                                pipes:
                                                  type: array
                                                  items:
                                                    type: string
                                                    enum:
                                                      - uppercase
                                                      - lowercase
                                                      - capitalize
                                                      - trim
                                                      - length
                                                      - toString
                                                      - jsonStringify
                                                      - encodeUrlComponent
                                                  description: >-
                                                    Pipe functions to transform the fact
                                                    value
                                            fact:
                                              type: string
                                              description: Fact name, actionId or triggerId
                                          required:
                                            - resolvable
                                            - type
                                            - fact
                                    description: >-
                                      Array of literal and fact nodes, all value
                                      will be stringify and join together
                                required:
                                  - resolvable
                                  - type
                                  - nodes
                              - nullable: true
                          subject:
                            oneOf:
                              - type: object
                                properties:
                                  resolvable:
                                    type: boolean
                                    enum:
                                      - true
                                    description: >-
                                      Need be resolved to static values before
                                      running
                                  type:
                                    type: string
                                    enum:
                                      - literal
                                  value:
                                    nullable: true
                                    description: Literal value
                                required:
                                  - resolvable
                                  - type
                              - type: object
                                properties:
                                  resolvable:
                                    type: boolean
                                    enum:
                                      - true
                                    description: >-
                                      Need be resolved to static values before
                                      running
                                  type:
                                    type: string
                                    enum:
                                      - fact
                                  path:
                                    type: string
                                    description: json-path syntax
                                  keyStack:
                                    type: array
                                    items:
                                      type: string
                                    description: save select stack
                                  params:
                                    type: object
                                    properties:
                                      pipes:
                                        type: array
                                        items:
                                          type: string
                                          enum:
                                            - uppercase
                                            - lowercase
                                            - capitalize
                                            - trim
                                            - length
                                            - toString
                                            - jsonStringify
                                            - encodeUrlComponent
                                        description: >-
                                          Pipe functions to transform the fact
                                          value
                                  fact:
                                    type: string
                                    description: Fact name, actionId or triggerId
                                required:
                                  - resolvable
                                  - type
                                  - fact
                              - type: object
                                properties:
                                  resolvable:
                                    type: boolean
                                    enum:
                                      - true
                                    description: >-
                                      Need be resolved to static values before
                                      running
                                  type:
                                    type: string
                                    enum:
                                      - array
                                  nodes:
                                    type: array
                                    items:
                                      anyOf:
                                        - type: object
                                          properties:
                                            resolvable:
                                              type: boolean
                                              enum:
                                                - true
                                              description: >-
                                                Need be resolved to static values before
                                                running
                                            type:
                                              type: string
                                              enum:
                                                - literal
                                            value:
                                              nullable: true
                                              description: Literal value
                                          required:
                                            - resolvable
                                            - type
                                        - type: object
                                          properties:
                                            resolvable:
                                              type: boolean
                                              enum:
                                                - true
                                              description: >-
                                                Need be resolved to static values before
                                                running
                                            type:
                                              type: string
                                              enum:
                                                - fact
                                            path:
                                              type: string
                                              description: json-path syntax
                                            keyStack:
                                              type: array
                                              items:
                                                type: string
                                              description: save select stack
                                            params:
                                              type: object
                                              properties:
                                                pipes:
                                                  type: array
                                                  items:
                                                    type: string
                                                    enum:
                                                      - uppercase
                                                      - lowercase
                                                      - capitalize
                                                      - trim
                                                      - length
                                                      - toString
                                                      - jsonStringify
                                                      - encodeUrlComponent
                                                  description: >-
                                                    Pipe functions to transform the fact
                                                    value
                                            fact:
                                              type: string
                                              description: Fact name, actionId or triggerId
                                          required:
                                            - resolvable
                                            - type
                                            - fact
                                    description: >-
                                      Array of literal and fact nodes, all value
                                      will be stringify and join together
                                required:
                                  - resolvable
                                  - type
                                  - nodes
                              - nullable: true
                          body:
                            oneOf:
                              - type: object
                                properties:
                                  resolvable:
                                    type: boolean
                                    enum:
                                      - true
                                    description: >-
                                      Need be resolved to static values before
                                      running
                                  type:
                                    type: string
                                    enum:
                                      - literal
                                  value:
                                    nullable: true
                                    description: Literal value
                                required:
                                  - resolvable
                                  - type
                              - type: object
                                properties:
                                  resolvable:
                                    type: boolean
                                    enum:
                                      - true
                                    description: >-
                                      Need be resolved to static values before
                                      running
                                  type:
                                    type: string
                                    enum:
                                      - fact
                                  path:
                                    type: string
                                    description: json-path syntax
                                  keyStack:
                                    type: array
                                    items:
                                      type: string
                                    description: save select stack
                                  params:
                                    type: object
                                    properties:
                                      pipes:
                                        type: array
                                        items:
                                          type: string
                                          enum:
                                            - uppercase
                                            - lowercase
                                            - capitalize
                                            - trim
                                            - length
                                            - toString
                                            - jsonStringify
                                            - encodeUrlComponent
                                        description: >-
                                          Pipe functions to transform the fact
                                          value
                                  fact:
                                    type: string
                                    description: Fact name, actionId or triggerId
                                required:
                                  - resolvable
                                  - type
                                  - fact
                              - type: object
                                properties:
                                  resolvable:
                                    type: boolean
                                    enum:
                                      - true
                                    description: >-
                                      Need be resolved to static values before
                                      running
                                  type:
                                    type: string
                                    enum:
                                      - array
                                  nodes:
                                    type: array
                                    items:
                                      anyOf:
                                        - type: object
                                          properties:
                                            resolvable:
                                              type: boolean
                                              enum:
                                                - true
                                              description: >-
                                                Need be resolved to static values before
                                                running
                                            type:
                                              type: string
                                              enum:
                                                - literal
                                            value:
                                              nullable: true
[...]
